<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title></title>
    <filename>index</filename>
  </compound>
  <compound kind="group">
    <name>globus_gass_transfer_activation</name>
    <title>Activation</title>
    <filename>group__globus__gass__transfer__activation.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_GASS_TRANSFER_MODULE</name>
      <anchorfile>group__globus__gass__transfer__activation.html</anchorfile>
      <anchor>ga3c4edff0d27f1038ef7d8df297d205ea</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gass_transfer_client</name>
    <title>Client-Initiated Operations</title>
    <filename>group__globus__gass__transfer__client.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_register_get</name>
      <anchorfile>group__globus__gass__transfer__client.html</anchorfile>
      <anchor>ga22123aa34226df1b6b667c115524f007</anchor>
      <arglist>(globus_gass_transfer_request_t *request, globus_gass_transfer_requestattr_t *attr, char *url, globus_gass_transfer_callback_t callback, void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_get</name>
      <anchorfile>group__globus__gass__transfer__client.html</anchorfile>
      <anchor>gad318d8499a359b3d07763ab0e31d80f1</anchor>
      <arglist>(globus_gass_transfer_request_t *request, globus_gass_transfer_requestattr_t *attr, char *url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_register_put</name>
      <anchorfile>group__globus__gass__transfer__client.html</anchorfile>
      <anchor>ga58637ef8607c6bd2e7e60ab39844d14f</anchor>
      <arglist>(globus_gass_transfer_request_t *request, globus_gass_transfer_requestattr_t *attr, char *url, globus_size_t length, globus_gass_transfer_callback_t callback, void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_put</name>
      <anchorfile>group__globus__gass__transfer__client.html</anchorfile>
      <anchor>gae31996ee610f99379a1b6ec1ce7dac23</anchor>
      <arglist>(globus_gass_transfer_request_t *request, globus_gass_transfer_requestattr_t *attr, char *url, globus_size_t length)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_register_append</name>
      <anchorfile>group__globus__gass__transfer__client.html</anchorfile>
      <anchor>gaa62e6ef29ef82640291874af8a010a19</anchor>
      <arglist>(globus_gass_transfer_request_t *request, globus_gass_transfer_requestattr_t *attr, char *url, globus_size_t length, globus_gass_transfer_callback_t callback, void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_append</name>
      <anchorfile>group__globus__gass__transfer__client.html</anchorfile>
      <anchor>ga5055caf41715f0d4a01a3f785fc61440</anchor>
      <arglist>(globus_gass_transfer_request_t *request, globus_gass_transfer_requestattr_t *attr, char *url, globus_size_t length)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gass_transfer_server</name>
    <title>Implementing Servers</title>
    <filename>group__globus__gass__transfer__server.html</filename>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_gass_transfer_close_callback_t</name>
      <anchorfile>group__globus__gass__transfer__server.html</anchorfile>
      <anchor>gaf7d16b1ec66f320b016549f1d339e893</anchor>
      <arglist>)(void *callback_arg, globus_gass_transfer_listener_t listener)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_gass_transfer_listen_callback_t</name>
      <anchorfile>group__globus__gass__transfer__server.html</anchorfile>
      <anchor>ga1c50f2e6b9d521ab78c58d52ea8dd022</anchor>
      <arglist>)(void *callback_arg, globus_gass_transfer_listener_t listener)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_create_listener</name>
      <anchorfile>group__globus__gass__transfer__server.html</anchorfile>
      <anchor>ga7a1f665a5bded635bbfc827fb19f8cfb</anchor>
      <arglist>(globus_gass_transfer_listener_t *listener, globus_gass_transfer_listenerattr_t *attr, char *scheme)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_close_listener</name>
      <anchorfile>group__globus__gass__transfer__server.html</anchorfile>
      <anchor>ga3463614692379d6916d815334677fc8a</anchor>
      <arglist>(globus_gass_transfer_listener_t listener, globus_gass_transfer_close_callback_t callback, void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_register_listen</name>
      <anchorfile>group__globus__gass__transfer__server.html</anchorfile>
      <anchor>gaed8889aac80108c0b29757cb87a58b4c</anchor>
      <arglist>(globus_gass_transfer_listener_t listener, globus_gass_transfer_listen_callback_t callback, void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_register_accept</name>
      <anchorfile>group__globus__gass__transfer__server.html</anchorfile>
      <anchor>gab4e154bc89c309651d030399cf5b7ec3</anchor>
      <arglist>(globus_gass_transfer_request_t *request, globus_gass_transfer_requestattr_t *attr, globus_gass_transfer_listener_t listener, globus_gass_transfer_callback_t callback, void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>globus_gass_transfer_listener_get_user_pointer</name>
      <anchorfile>group__globus__gass__transfer__server.html</anchorfile>
      <anchor>ga365267c9798a08ecab8a80e8f128d19f</anchor>
      <arglist>(globus_gass_transfer_listener_t listener)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_listener_set_user_pointer</name>
      <anchorfile>group__globus__gass__transfer__server.html</anchorfile>
      <anchor>ga381f95f7eafe7048f0057974d9509ecf</anchor>
      <arglist>(globus_gass_transfer_listener_t listener, void *user_pointer)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_gass_transfer_listener_get_base_url</name>
      <anchorfile>group__globus__gass__transfer__server.html</anchorfile>
      <anchor>gadaa337dc4df4f0a68326aa9cdd29d29c</anchor>
      <arglist>(globus_gass_transfer_listener_t listener)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_refer</name>
      <anchorfile>group__globus__gass__transfer__server.html</anchorfile>
      <anchor>ga2604152dc7e5751c83c215bc076171c0</anchor>
      <arglist>(globus_gass_transfer_request_t request, char **urls, globus_size_t num_urls)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_authorize</name>
      <anchorfile>group__globus__gass__transfer__server.html</anchorfile>
      <anchor>ga068c0c63ed4e2635d273c2f61c823c0b</anchor>
      <arglist>(globus_gass_transfer_request_t request, globus_size_t total_length)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_deny</name>
      <anchorfile>group__globus__gass__transfer__server.html</anchorfile>
      <anchor>gaa8ab9a7b1b036264c11ecde6c3c565de</anchor>
      <arglist>(globus_gass_transfer_request_t request, int reason, char *message)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gass_transfer_data</name>
    <title>Sending and Receiving Data</title>
    <filename>group__globus__gass__transfer__data.html</filename>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_gass_transfer_bytes_callback_t</name>
      <anchorfile>group__globus__gass__transfer__data.html</anchorfile>
      <anchor>ga53b976e41617d6caba4ed64e05271a62</anchor>
      <arglist>)(void *arg, globus_gass_transfer_request_t request, globus_byte_t *bytes, globus_size_t length, globus_bool_t last_data)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_send_bytes</name>
      <anchorfile>group__globus__gass__transfer__data.html</anchorfile>
      <anchor>gaf9fafa443774f59abd5a6584bdeee646</anchor>
      <arglist>(globus_gass_transfer_request_t request, globus_byte_t *bytes, globus_size_t send_length, globus_bool_t last_data, globus_gass_transfer_bytes_callback_t callback, void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_receive_bytes</name>
      <anchorfile>group__globus__gass__transfer__data.html</anchorfile>
      <anchor>gacd7c5a82e0018c76dfce993035a5bf6a</anchor>
      <arglist>(globus_gass_transfer_request_t request, globus_byte_t *bytes, globus_size_t max_length, globus_size_t wait_for_length, globus_gass_transfer_bytes_callback_t callback, void *user_arg)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gass_transfer_referral</name>
    <title>Referrals</title>
    <filename>group__globus__gass__transfer__referral.html</filename>
    <member kind="function">
      <type>globus_size_t</type>
      <name>globus_gass_transfer_referral_get_count</name>
      <anchorfile>group__globus__gass__transfer__referral.html</anchorfile>
      <anchor>ga94a96c132f5e471b146a9645848081ce</anchor>
      <arglist>(globus_gass_transfer_referral_t *referral)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_gass_transfer_referral_get_url</name>
      <anchorfile>group__globus__gass__transfer__referral.html</anchorfile>
      <anchor>ga3bff48d2b5c72ed1c4b7a02aec2089c7</anchor>
      <arglist>(globus_gass_transfer_referral_t *referral, globus_size_t index)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_referral_destroy</name>
      <anchorfile>group__globus__gass__transfer__referral.html</anchorfile>
      <anchor>gae83589cda7d1515d778db2c3a8f8969e</anchor>
      <arglist>(globus_gass_transfer_referral_t *referral)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gass_transfer_request</name>
    <title>Request Handles</title>
    <filename>group__globus__gass__transfer__request.html</filename>
    <class kind="struct">globus_gass_transfer_request_t</class>
    <member kind="enumeration">
      <name>globus_gass_transfer_request_type_t</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>ga5602a52b98af47f77e032fcdd913957f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GASS_TRANSFER_REQUEST_TYPE_INVALID</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>gga5602a52b98af47f77e032fcdd913957fa419bb60ecf5c1b77f568cbf75aae4849</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GASS_TRANSFER_REQUEST_TYPE_GET</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>gga5602a52b98af47f77e032fcdd913957fa83bbfcfb85a560accca8f9745dd9e278</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GASS_TRANSFER_REQUEST_TYPE_PUT</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>gga5602a52b98af47f77e032fcdd913957fac5675a8c4b950712e27dcec83192e628</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GASS_TRANSFER_REQUEST_TYPE_APPEND</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>gga5602a52b98af47f77e032fcdd913957fa97544dc3720e5c09efd1517b12a396ce</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_gass_transfer_request_status_t</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>gaaa671d5ef2fae5a7034e0624c3bbc1b5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GASS_TRANSFER_REQUEST_INVALID</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>ggaaa671d5ef2fae5a7034e0624c3bbc1b5ade06f705dc33c762108a6f9b8340878a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GASS_TRANSFER_REQUEST_STARTING</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>ggaaa671d5ef2fae5a7034e0624c3bbc1b5a3036a3bafba31ef8a63a2d63b34bcd1b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GASS_TRANSFER_REQUEST_PENDING</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>ggaaa671d5ef2fae5a7034e0624c3bbc1b5af4da259b0651a2fd9dea08179c083da4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GASS_TRANSFER_REQUEST_FAILED</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>ggaaa671d5ef2fae5a7034e0624c3bbc1b5a36f2ab83f649fdda5ce2d7a52f0c8bf5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GASS_TRANSFER_REQUEST_REFERRED</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>ggaaa671d5ef2fae5a7034e0624c3bbc1b5a7c3742c6941000d4c5a60662ff9c02b2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GASS_TRANSFER_REQUEST_DENIED</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>ggaaa671d5ef2fae5a7034e0624c3bbc1b5a8051bd31d3f57ca3ef4d385bd6b9b9f3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GASS_TRANSFER_REQUEST_DONE</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>ggaaa671d5ef2fae5a7034e0624c3bbc1b5af2d7d1108388b66e5e8b9af0fb89ab6c</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_gass_transfer_request_type_t</type>
      <name>globus_gass_transfer_request_get_type</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>gad31d82c6169b5d8e8edb88b4ac56c7bb</anchor>
      <arglist>(globus_gass_transfer_request_t request)</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>globus_gass_transfer_request_get_user_pointer</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>gad757b053500c6a3b8bd641dbf8f46430</anchor>
      <arglist>(globus_gass_transfer_request_t request)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_request_set_user_pointer</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>ga9b43a82b60dc9dd6aed0fc14f5eae1ff</anchor>
      <arglist>(globus_gass_transfer_request_t request, void *user_pointer)</arglist>
    </member>
    <member kind="function">
      <type>globus_gass_transfer_request_status_t</type>
      <name>globus_gass_transfer_request_get_status</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>ga7392dbde70c0c18201871095dfb7b143</anchor>
      <arglist>(globus_gass_transfer_request_t request)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_request_get_referral</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>gaadb0e60f7ca80cdf416efeca8e38c0e0</anchor>
      <arglist>(globus_gass_transfer_request_t request, globus_gass_transfer_referral_t *referral)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_gass_transfer_request_get_url</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>gacc7dae1d1e5febbe00314c00da7babe3</anchor>
      <arglist>(globus_gass_transfer_request_t request)</arglist>
    </member>
    <member kind="function">
      <type>globus_size_t</type>
      <name>globus_gass_transfer_request_get_length</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>ga96d739c6b11cc3a091ab11c8b41322b1</anchor>
      <arglist>(globus_gass_transfer_request_t request)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_request_set_type</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>ga966e907ec04e84836f545570eff004d3</anchor>
      <arglist>(globus_gass_transfer_request_t request, globus_gass_transfer_request_type_t type)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_request_set_url</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>gab1f9279d919f88e652a4e8729cc7ca47</anchor>
      <arglist>(globus_gass_transfer_request_t request, char *url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gass_transfer_request_set_length</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>ga771a876dd39d4399f8e68b41aa50346a</anchor>
      <arglist>(globus_gass_transfer_request_t request, globus_size_t length)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_request_get_denial_reason</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>gaaa938edb5e75f9fef3db92dfbb1a71f1</anchor>
      <arglist>(globus_gass_transfer_request_t request)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_gass_transfer_request_get_denial_message</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>ga55d67452e1fac012178ce566f9b3f312</anchor>
      <arglist>(globus_gass_transfer_request_t request)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_gass_transfer_request_get_subject</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>gaf690e56b7e4cdcad4dc7a6aafb120385</anchor>
      <arglist>(globus_gass_transfer_request_t request)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_request_destroy</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>ga375fb762623cf1c34caaaeb3b01f15e7</anchor>
      <arglist>(globus_gass_transfer_request_t request)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gass_transfer_requestattr</name>
    <title>Request Attributes</title>
    <filename>group__globus__gass__transfer__requestattr.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_init</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>gadbfaf08d705087b18dcc04dd45bc6064</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, char *url_scheme)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_destroy</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>gad2dfb9abb134c8398f88f8350018ef8d</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_set_proxy_url</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>ga236aef18b8be7972f4eca356e0b4b212</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, char *proxy_url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_get_proxy_url</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>ga8522ce17cbe19b4de73976dbee4c8573</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, char **proxy_url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_set_block_size</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>gae6c8ab3e9a247b424a5bc781c20150f9</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, globus_size_t block_size)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_get_block_size</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>ga6bc5a570e9056ccf2af6cab4441357b4</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, globus_size_t *block_size)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_set_file_mode</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>gab7f39437c678a543c5c049ace5c32bee</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, globus_gass_transfer_file_mode_t file_mode)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_get_file_mode</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>gabeda13f87cb1184131959ea101de32ad</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, globus_gass_transfer_file_mode_t *file_mode)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_set_connection_reuse</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>ga7463dcda9890e28c1a0721f6d46fd64c</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, globus_bool_t connection_reuse)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_get_connection_reuse</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>ga2abfd9605937f04731bc46d4b41e2ab4</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, globus_bool_t *connection_reuse)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_set_socket_sndbuf</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>gafde14521f54d6146992a983dd1af00d8</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, int sndbuf)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_get_socket_sndbuf</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>gae9636459da7bc5b9abeec20ff483f972</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, int *sndbuf)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_set_socket_rcvbuf</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>ga8d4deed397b13faba0355471680c3589</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, int rcvbuf)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_get_socket_rcvbuf</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>ga72beafcb6d9ee7a9a4f6071b1ade4307</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, int *rcvbuf)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_set_socket_nodelay</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>ga0a09ccaeb381f27a5fda7ec90ab6b9b6</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, globus_bool_t nodelay)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_get_socket_nodelay</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>gaa25327697974d1ce7c7d6391f09792ab</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, globus_bool_t *nodelay)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_secure_requestattr_set_authorization</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>gad30290e33b23a30d4364202397900a62</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, globus_gass_transfer_authorization_t mode, char *subject)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_secure_requestattr_get_authorization</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>ga162a4906c594919876d52f10ea6ea7e2</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, globus_gass_transfer_authorization_t *mode, char **subject)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gass_transfer_listenerattr</name>
    <title>Listener attributes</title>
    <filename>group__globus__gass__transfer__listenerattr.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_listenerattr_init</name>
      <anchorfile>group__globus__gass__transfer__listenerattr.html</anchorfile>
      <anchor>gaa07336fe642b03fbe9a1aa7ade9ac159</anchor>
      <arglist>(globus_gass_transfer_listenerattr_t *attr, char *url_scheme)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_listenerattr_set_backlog</name>
      <anchorfile>group__globus__gass__transfer__listenerattr.html</anchorfile>
      <anchor>ga4aca10b7756d3233a76277eab3e0cf42</anchor>
      <arglist>(globus_gass_transfer_listenerattr_t *attr, int backlog)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_listenerattr_get_backlog</name>
      <anchorfile>group__globus__gass__transfer__listenerattr.html</anchorfile>
      <anchor>gae38d0d02316beef7c1bbc3080e6e9192</anchor>
      <arglist>(globus_gass_transfer_listenerattr_t *attr, int *backlog)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_listenerattr_set_port</name>
      <anchorfile>group__globus__gass__transfer__listenerattr.html</anchorfile>
      <anchor>ga14be85aace2db3fb900d04a312170168</anchor>
      <arglist>(globus_gass_transfer_listenerattr_t *attr, unsigned short port)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_listenerattr_get_port</name>
      <anchorfile>group__globus__gass__transfer__listenerattr.html</anchorfile>
      <anchor>gaf5f2b57de3e94a93140c47dbc0fff885</anchor>
      <arglist>(globus_gass_transfer_listenerattr_t *attr, unsigned short *port)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gass_transfer_requestattr_implementation</name>
    <title>Implementing Request Attributes</title>
    <filename>group__globus__gass__transfer__requestattr__implementation.html</filename>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_gass_transfer_requestattr_initialize</name>
      <anchorfile>group__globus__gass__transfer__requestattr__implementation.html</anchorfile>
      <anchor>gac80b12c4edca8ed3075fe32b8ff98737</anchor>
      <arglist>(globus_object_t *obj, char *proxy_url, globus_size_t block_size, globus_gass_transfer_file_mode_t file_mode, globus_bool_t connection_reuse)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_gass_transfer_socket_requestattr_initialize</name>
      <anchorfile>group__globus__gass__transfer__requestattr__implementation.html</anchorfile>
      <anchor>gab1144cd73e1e652297368523ef38084c</anchor>
      <arglist>(globus_object_t *obj, char *proxy_url, globus_size_t block_size, globus_gass_transfer_file_mode_t file_mode, globus_bool_t connection_reuse, int sndbuf, int rcvbuf, globus_bool_t nodelay)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_gass_transfer_secure_requestattr_initialize</name>
      <anchorfile>group__globus__gass__transfer__requestattr__implementation.html</anchorfile>
      <anchor>ga91cb09ce0ead7be26b6212b8eebc8303</anchor>
      <arglist>(globus_object_t *obj, char *proxy_url, globus_size_t block_size, globus_gass_transfer_file_mode_t file_mode, globus_bool_t connection_reuse, int sndbuf, int rcvbuf, globus_bool_t nodelay, globus_gass_transfer_authorization_t authorization, char *subject)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_gass_transfer_listenerattr_initialize</name>
      <anchorfile>group__globus__gass__transfer__requestattr__implementation.html</anchorfile>
      <anchor>gad8ebf24f6574a4816fc5b0ed730e73b7</anchor>
      <arglist>(globus_object_t *obj, int backlog, unsigned short port)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gass_transfer_protocol</name>
    <title>Protocol Modules</title>
    <filename>group__globus__gass__transfer__protocol.html</filename>
    <class kind="struct">globus_gass_transfer_request_proto_s</class>
    <class kind="struct">globus_gass_transfer_listener_proto_s</class>
    <class kind="struct">globus_gass_transfer_proto_descriptor_t</class>
    <member kind="typedef">
      <type>typedefEXTERN_C_BEGIN struct globus_gass_transfer_request_proto_s</type>
      <name>globus_gass_transfer_request_proto_t</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>ga67a1cdc7d511600103cb25b261b018ac</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>struct globus_gass_transfer_listener_proto_s</type>
      <name>globus_gass_transfer_listener_proto_t</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>ga893db9d9f79492c49f7ac8e147939b1a</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_gass_transfer_proto_send_t</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>ga07dd4dd5d7ef7760438de6aa8f3bdad4</anchor>
      <arglist>)(globus_gass_transfer_request_proto_t *proto, globus_gass_transfer_request_t request, globus_byte_t *bytes, globus_size_t send_length, globus_bool_t last_data)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_gass_transfer_proto_receive_t</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>ga032bf11045041dc3151f54580e0ef5c4</anchor>
      <arglist>)(globus_gass_transfer_request_proto_t *proto, globus_gass_transfer_request_t request, globus_byte_t *bytes, globus_size_t bytes_length, globus_size_t wait_for_length)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_gass_transfer_proto_func_t</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>gaaa0a01e0b020f072dc15fd9deb46f99a</anchor>
      <arglist>)(globus_gass_transfer_request_proto_t *proto, globus_gass_transfer_request_t request)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_gass_transfer_proto_new_request_t</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>gaa49ac171608bf5379858c8c1106c6d93</anchor>
      <arglist>)(globus_gass_transfer_request_t request, globus_gass_transfer_requestattr_t *attr)</arglist>
    </member>
    <member kind="typedef">
      <type>int(*</type>
      <name>globus_gass_transfer_proto_create_listener_t</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>ga67a9a9ff6620102111781ba49c3eeebf</anchor>
      <arglist>)(globus_gass_transfer_listener_t listener, globus_gass_transfer_listenerattr_t *attr, char *scheme, char **base_url, globus_gass_transfer_listener_proto_t **proto)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_gass_transfer_proto_listener_t</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>gadf55877c01a71ad4215787c566b19d08</anchor>
      <arglist>)(globus_gass_transfer_listener_proto_t *proto, globus_gass_transfer_listener_t listener)</arglist>
    </member>
    <member kind="typedef">
      <type>globus_object_t *(*</type>
      <name>globus_gass_transfer_proto_new_attr_t</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>ga08596e3286a90eebef68530519a40431</anchor>
      <arglist>)(char *url_scheme)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_gass_transfer_proto_accept_t</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>gad62e21f36ecf72d5ce87967e3c6d2cdb</anchor>
      <arglist>)(globus_gass_transfer_listener_proto_t *proto, globus_gass_transfer_listener_t listener, globus_gass_transfer_request_t request, globus_gass_transfer_requestattr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gass_transfer_proto_send_complete</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>ga504ed11be998da980c66aa54beaf5872</anchor>
      <arglist>(globus_gass_transfer_request_t request, globus_byte_t *bytes, globus_size_t nbytes, globus_bool_t failed, globus_bool_t last_data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gass_transfer_proto_receive_complete</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>ga5ddbe8ac72bc8d742e5edcdd7bcb1812</anchor>
      <arglist>(globus_gass_transfer_request_t request, globus_byte_t *bytes, globus_size_t nbytes, globus_bool_t failed, globus_bool_t last_data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gass_transfer_proto_listener_ready</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>ga4c7f2424daf72260b0629ad6c8b8b1e5</anchor>
      <arglist>(globus_gass_transfer_listener_t listener)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_proto_register_protocol</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>ga0458b3b620922d0ad0c50a950a14c40d</anchor>
      <arglist>(globus_gass_transfer_proto_descriptor_t *proto_desc)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_proto_unregister_protocol</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>ga36927fbdf3d9374e5a0a6d72c00c4de3</anchor>
      <arglist>(globus_gass_transfer_proto_descriptor_t *proto_desc)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gass_transfer_proto_request_ready</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>ga5606790bad7454992afd4d0ae4ce3d6d</anchor>
      <arglist>(globus_gass_transfer_request_t request, globus_gass_transfer_request_proto_t *proto)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gass_transfer_proto_new_listener_request</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>ga517e838bdece326043d00b9b1c48e361</anchor>
      <arglist>(globus_gass_transfer_listener_t listener, globus_gass_transfer_request_t request, globus_gass_transfer_request_proto_t *proto)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gass_transfer_proto_request_denied</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>gaf79e71910ff1d18bb09e51bb1fde7aea</anchor>
      <arglist>(globus_gass_transfer_request_t request, int reason, char *message)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gass_transfer_proto_request_referred</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>ga5fe775f62b3f425ace38383811b637f3</anchor>
      <arglist>(globus_gass_transfer_request_t request, char **url, globus_size_t num_urls)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>globus_gass_transfer_listener_proto_s</name>
    <filename>structglobus__gass__transfer__listener__proto__s.html</filename>
    <member kind="variable">
      <type>globus_gass_transfer_proto_listener_t</type>
      <name>close_listener</name>
      <anchorfile>structglobus__gass__transfer__listener__proto__s.html</anchorfile>
      <anchor>a508cb912a3292baa5b1862822b3d1515</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_listener_t</type>
      <name>listen</name>
      <anchorfile>structglobus__gass__transfer__listener__proto__s.html</anchorfile>
      <anchor>adaeeaaa668decf8bdb8d2346d174229d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_accept_t</type>
      <name>accept</name>
      <anchorfile>structglobus__gass__transfer__listener__proto__s.html</anchorfile>
      <anchor>a23ec651df88fa027aeb590bd643219a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_listener_t</type>
      <name>destroy</name>
      <anchorfile>structglobus__gass__transfer__listener__proto__s.html</anchorfile>
      <anchor>a1187927c5a516df7dbbc768a5415fca0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>globus_gass_transfer_proto_descriptor_t</name>
    <filename>structglobus__gass__transfer__proto__descriptor__t.html</filename>
    <member kind="variable">
      <type>char *</type>
      <name>url_scheme</name>
      <anchorfile>structglobus__gass__transfer__proto__descriptor__t.html</anchorfile>
      <anchor>a75e1a7af4cfbc63c983bfdad79a30d50</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_new_attr_t</type>
      <name>new_requestattr</name>
      <anchorfile>structglobus__gass__transfer__proto__descriptor__t.html</anchorfile>
      <anchor>acd75372874ae7c590ebe8562777241ed</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_new_request_t</type>
      <name>new_request</name>
      <anchorfile>structglobus__gass__transfer__proto__descriptor__t.html</anchorfile>
      <anchor>a0d441064126e8173a2c06cb6213ebaa3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_new_attr_t</type>
      <name>new_listenerattr</name>
      <anchorfile>structglobus__gass__transfer__proto__descriptor__t.html</anchorfile>
      <anchor>a5f5d98eb70200a3c03b0d079eea80648</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_create_listener_t</type>
      <name>new_listener</name>
      <anchorfile>structglobus__gass__transfer__proto__descriptor__t.html</anchorfile>
      <anchor>add7c52f06610c1364e83133eefb81876</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>globus_gass_transfer_request_proto_s</name>
    <filename>structglobus__gass__transfer__request__proto__s.html</filename>
    <member kind="variable">
      <type>globus_gass_transfer_proto_send_t</type>
      <name>send_buffer</name>
      <anchorfile>structglobus__gass__transfer__request__proto__s.html</anchorfile>
      <anchor>adff86dfcde6cc409c093a713717b26b5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_receive_t</type>
      <name>recv_buffer</name>
      <anchorfile>structglobus__gass__transfer__request__proto__s.html</anchorfile>
      <anchor>a1e1d0cf9d4f0b3ccd089d81d7f7b8cee</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_func_t</type>
      <name>fail</name>
      <anchorfile>structglobus__gass__transfer__request__proto__s.html</anchorfile>
      <anchor>a7ca6ec87b44fa9904c429730330812dd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_func_t</type>
      <name>deny</name>
      <anchorfile>structglobus__gass__transfer__request__proto__s.html</anchorfile>
      <anchor>a210f758d4e1d8c3d7244f5f7c7ec7581</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_func_t</type>
      <name>refer</name>
      <anchorfile>structglobus__gass__transfer__request__proto__s.html</anchorfile>
      <anchor>abf9b6b59141d1492a86eacff114fb61e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_func_t</type>
      <name>authorize</name>
      <anchorfile>structglobus__gass__transfer__request__proto__s.html</anchorfile>
      <anchor>aaff5262ea5f2514eaf35e95ab5ffa75f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_func_t</type>
      <name>destroy</name>
      <anchorfile>structglobus__gass__transfer__request__proto__s.html</anchorfile>
      <anchor>a9a36b7066acc30192039f1db65bf2d7f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>globus_gass_transfer_request_t</name>
    <filename>structglobus__gass__transfer__request__t.html</filename>
  </compound>
</tagfile>
